# Documentation

Menu

## NumberTest extends DatainterfaceTestAbstract
in package

NumberTest.php : 18

Tests the Number class

### Table of Contents

$FQN : string
$QRData : QRData
$reflection : ReflectionClass
$testdata : string
maskPatternProvider() : array<string|int, array<string|int, int>>
stringValidateProvider() : array<string|int, mixed>
  isNumber() should pass on any number and fail on anything else
testCodeLengthOverflowException() : void
  Tests if an exception is thrown on data overflow
testGetMinimumVersion() : void
  Tests getting the minimum QR version for the given data
testGetMinimumVersionException() : void
  Tests if an exception is thrown when the data exceeds the maximum version while auto detecting
testInitMatrix() : void
  Tests initializing the data matrix
testInstance() : void
  Verifies the data interface instance
testInvalidDataException() : void
  Tests if an exception is thrown when an invalid character is encountered
testInvalidDataOnEmptyException() : void
  Tests if an exception is thrown if the given string is empty
testValidateString() : void
setUp() : void

### Properties

#### $FQN

NumberTest.php : 20
`protected string $FQN = \chillerlan\QRCode\Data\Number::class`

#### $QRData

DatainterfaceTestAbstract.php : 28
`protected QRData $QRData`

#### $reflection

DatainterfaceTestAbstract.php : 27
`protected ReflectionClass $reflection`

#### $testdata

NumberTest.php : 21
`protected string $testdata = '0123456789'`

### Methods

#### maskPatternProvider()

DatainterfaceTestAbstract.php : 48
`public maskPatternProvider() : array<string|int, array<string|int, int>>`

##### Tags

see
  testInitMatrix()

##### Return values

array<string|int, array<string|int, int>> —

#### stringValidateProvider()

NumberTest.php : 26

isNumber() should pass on any number and fail on anything else

`public stringValidateProvider() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

#### testCodeLengthOverflowException()

DatainterfaceTestAbstract.php : 104

Tests if an exception is thrown on data overflow

`public testCodeLengthOverflowException() : void`

##### Return values

void —

#### testGetMinimumVersion()

DatainterfaceTestAbstract.php : 69

Tests getting the minimum QR version for the given data

`public testGetMinimumVersion() : void`

##### Return values

void —

#### testGetMinimumVersionException()

DatainterfaceTestAbstract.php : 91

Tests if an exception is thrown when the data exceeds the maximum version while auto detecting

`public testGetMinimumVersionException() : void`

##### Return values

void —

#### testInitMatrix()

DatainterfaceTestAbstract.php : 57

Tests initializing the data matrix

`public testInitMatrix(int $maskPattern) : void`

##### Parameters

$maskPattern : int

##### Tags

dataProvider

  maskPatternProvider

##### Return values

void —

#### testInstance()

DatainterfaceTestAbstract.php : 40

Verifies the data interface instance

`public testInstance() : void`

##### Return values

void —

#### testInvalidDataException()

DatainterfaceTestAbstract.php : 114

Tests if an exception is thrown when an invalid character is encountered

`public testInvalidDataException() : void`

##### Return values

void —

#### testInvalidDataOnEmptyException()

DatainterfaceTestAbstract.php : 124

Tests if an exception is thrown if the given string is empty

`public testInvalidDataOnEmptyException() : void`

##### Return values

void —

#### testValidateString()

DatainterfaceTestAbstract.php : 83
`public testValidateString(string $string, bool $expected) : void`

##### Parameters

$string : string
$expected : bool

##### Tags

dataProvider

  stringValidateProvider

##### Return values

void —

#### setUp()

DatainterfaceTestAbstract.php : 32
`protected setUp() : void`

##### Return values

void —

## Search results